""" Interface used to get events from the jobs manager.
"""

from abc import ABCMeta


class JobsManagerInterface(object):

    __metaclass__ = ABCMeta

    def __init__(self):
        pass

    def on_job_created(self, job):
        """ Method called by the jobs manager when a job is created.
        """

    def on_job_updated(self, job):
        """ Method called when a change occurs in a job attribute.
        """

    def on_job_purged(self, job):
        """ Method called by the jobs manager when a job is purged.
        """
